### Class

# Adw Toggle

since: 1.7

#### Description [src]

    final class Adw.Toggle : GObject.Object
    {
      /* No available fields */
    }

A toggle within `AdwToggleGroup`.

`AdwToggle` can optionally have a name, set with `AdwToggle:name`. If the name is set, `AdwToggleGroup:active-name` can be used to access toggles instead of index.

Available since: 1.7

#### Ancestors

- GObject

#### Constructors

###### adw_toggle_new

Creates a new `AdwToggle`.

since: 1.7

#### Instance methods

###### adw_toggle_get_child

Gets the child widget of `self`.

since: 1.7

###### adw_toggle_get_description

Gets the description of `self`.

since: 1.9

###### adw_toggle_get_enabled

Gets whether `self` is enabled.

since: 1.7

###### adw_toggle_get_icon_name

Gets the icon name of `self`.

since: 1.7

###### adw_toggle_get_index

Gets the index of `self` within its toggle group.

since: 1.7

###### adw_toggle_get_label

Gets the label of `self`.

since: 1.7

###### adw_toggle_get_name

Gets the name of `self`.

since: 1.7

###### adw_toggle_get_tooltip

Gets the tooltip of `self`.

since: 1.7

###### adw_toggle_get_use_underline

Gets whether `self` uses underlines.

since: 1.7

###### adw_toggle_set_child

Sets the child of `self` to `child`.

since: 1.7

###### adw_toggle_set_description

Sets the description of `self` to `description`.

since: 1.9

###### adw_toggle_set_enabled

Sets whether `self` is enabled.

since: 1.7

###### adw_toggle_set_icon_name

Sets the icon name of `self` to `icon_name`.

since: 1.7

###### adw_toggle_set_label

Sets the label of `self` to `label`.

since: 1.7

###### adw_toggle_set_name

Sets the name of `self` to `name`.

since: 1.7

###### adw_toggle_set_tooltip

Sets the tooltip of `self` to `tooltip`.

since: 1.7

###### adw_toggle_set_use_underline

Sets whether an embedded underline in the label indicates a mnemonic.

since: 1.7

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Adw.Toggle:child

The toggle child.

since: 1.7

###### Adw.Toggle:description

The description of the toggle.

since: 1.9

###### Adw.Toggle:enabled

Whether this toggle is enabled.

since: 1.7

###### Adw.Toggle:icon-name

The toggle icon name.

since: 1.7

###### Adw.Toggle:label

The toggle label.

since: 1.7

###### Adw.Toggle:name

The toggle name.

since: 1.7

###### Adw.Toggle:tooltip

The tooltip of the toggle.

since: 1.7

###### Adw.Toggle:use-underline

Whether an embedded underline in the label indicates a mnemonic.

since: 1.7

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AdwToggleClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.